VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Parser Class Reference

`#include <xmlparser.h>`

## Public Member Functions
| Parser ()
virtual | ~Parser () noexcept
bool | parse (IContentProvider *provider, IHandler *handler)
bool | stop ()
IHandler * | getHandler () const

## Protected Attributes
std::unique_ptr< Impl > | pImpl

## Constructor & Destructor Documentation

## ◆ Parser()

Parser | ( |  | ) |

## ◆ ~Parser()

virtual ~Parser | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ getHandler()

IHandler * getHandler | ( |  | ) | const

## ◆ parse()

bool parse | ( | IContentProvider * | provider,
|  | IHandler * | handler )

## ◆ stop()

bool stop | ( |  | ) |

## Member Data Documentation

## ◆ pImpl

std::unique_ptr<Impl> pImpl
| protected

The documentation for this class was generated from the following file:

- xmlparser.h